Bug 965532 - gridsite package should be built with PIE flags
gridsite package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gridsite (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:38 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: gridsite-2.0.4-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 10:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-05-21 06:38:51 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package has suid binaries...".

However, currently gridsite is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

gridsite-gsexec-1.7.21-4.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py gridsite-gsexec-1.7.21-4.fc19.x86_64.rpm
gridsite-gsexec,gridsite-gsexec-1.7.21-4.fc19.x86_64.rpm,/usr/sbin/gsexec,mode=0104754,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
Comment 1 Steve Traylen 2013-09-19 10:51:55 EDT
upstream have dropped setuid binary anyway.
Comment 2 Fedora Update System 2013-09-19 14:38:15 EDT
gridsite-2.0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gridsite-2.0.4-1.el6
Comment 3 Fedora Update System 2013-10-08 16:37:48 EDT
gridsite-2.0.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.